close all;                                   % 모든 생성된 창을 닫음 
clear all;                                   % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                         % 명령(command) 창을 비움

x=[1 1 2 1 0 -1 -2 -1];                      % 신호 x[n] 
h=[1 1 2 3 2 3 2 1];                         % 신호 h[n]
x2=[x x];                                    % 주기가 2배인 신호 x_2N[n] 
h2=[h h];                                    % 주기가 2배인 신호 h_2N[n]
y2=ifft(fft(x2).*fft(h2));                   % 주기가 2배인 원형 컨벌루션 계산
n=0:length(y2)-1;                            % 시간축 설정 
stem(n,y2);                                  % 주기가 2배인 원형 컨벌루션 결과 그림
title('주기가 2배인 원형 컨벌루션 결과');      % 그림 제목
xlabel('\bf{n}'); grid on;                   % x축 라벨 및 그리드 표시  